<html>
<head>
<meta charset="utf-8">
   <!--[if lte IE 8]><SCRIPT src='source/excanvas.js'></script><![endif]--><SCRIPT src='./ChartNew/ChartNew.js'></script>
    <title>KSW01_SERVER_STATUS</title>
<script>
	function refresh_start(){
		location.href='serverstatus.html'
	}
</script>

</head>

<body id="wrapBody" class="container" >

<center>

<table><tr><td><h1> STATUS OF SERVER_KOPOSW01</h1></td></tr>
<tr><td><h4>서버주소 : 192.168.23.75</h4></td></tr>
<tr><td><h4>담당자 : 강 민 규</h4></td></tr></table>

<SCRIPT>CPU_FREE=100.00;
CPU_USED=0;
MEM_FREE=11302800;
MEM_USED=483572;
DSK_FREE=26450872;
DSK_USED=14146056;
defCanvasWidth=1200;
defCanvasHeight=700;

var mydata1 =   [
    {
   		value : CPU_FREE, 
		color: "rgba(175,175,175,1)",
		title : "CPU Idle: " + CPU_FREE
   	},
  	{
  		value : CPU_USED, 
		color: "rgba(255,34,34,1)",
		title : "CPU Used: " + CPU_USED
  	 }
];

var mydata2 =   [
    {
   		value : MEM_FREE, 
		color: "rgba(175,175,175,1)",
		title : "Memory Free: " + MEM_FREE
   	},
  	{
  		value : MEM_USED, 
		color: "rgba(255,34,34,1)",
		title : "Memory Used: " + MEM_USED
  	 }
];

var mydata3 =   [
    {
   		value : DSK_FREE,
		color: "rgba(175,175,175,1)",
		title : "Disk Available: " + DSK_FREE
   	},
  	{
  		value : DSK_USED, 
		color: "rgba(255,34,34,1)",
		title : "Disk Used: " + DSK_USED
  	 }
];
  
function dispPct1(numtxt,valtxt,ctx,config,posX,posY,borderX,borderY,overlay,data,animPC)
{
          return(Math.round(animPC*data[0].value));
} 


 var opt1 = {
	  canvasBorders : true,
      canvasBordersWidth : 2,
      canvasBordersColor : "black",
      graphTitle : "CPU STATUS",
	  graphTitleFontSize: 18,
      
      crossTextAlign : ["center"],
      crossTextBaseline : ["middle"],

	  animationEasing : "linear",
      crossText : ["%call function..."],
      crossTextOverlay :   [true],
      crossTextFontSize : [50],
      crossTextFontColor : ["black"],
      crossTextRelativePosX : [2],
      crossTextRelativePosY : [2],
      crossTextFunction : dispPct1,


 	  inGraphDataShow : false,  
      legend : true,
      canvasBorders : false,
	  annotateDisplay : false,
	  multiGraph : true,

	  spaceTop : 30,
	  spaceBottom : (defCanvasHeight)/3,
	  spaceLeft : 0,
	  spaceRight : defCanvasWidth/3*2
	 
}


function dispPct2(numtxt,valtxt,ctx,config,posX,posY,borderX,borderY,overlay,data,animPC)
{
          return(Math.round(animPC*data[0].value));
} 

var opt2 = {
	  canvasBorders : true,
      canvasBordersWidth : 2,
      canvasBordersColor : "black",
      graphTitle : "MEMORY STATUS",
	  graphTitleFontSize: 18,
      
      crossTextAlign : ["center"],
      crossTextBaseline : ["middle"],

	  animationEasing : "linear",
      crossText : ["%call function..."],
      crossTextOverlay :   [true],
      crossTextFontSize : [50],
      crossTextFontColor : ["black"],
      crossTextRelativePosX : [2],
      crossTextRelativePosY : [2],
      crossTextFunction : dispPct2,


 	  inGraphDataShow : false,  
      legend : true,
      canvasBorders : false,
	  annotateDisplay : false,
	  multiGraph : true,

	  spaceTop : 30,
	  spaceBottom : (defCanvasHeight)/3,
	  spaceLeft : defCanvasWidth/3,
	  spaceRight : defCanvasWidth/3
  }

function dispPct3(numtxt,valtxt,ctx,config,posX,posY,borderX,borderY,overlay,data,animPC)
{
          return(Math.round(animPC*data[0].value));
} 

 var opt3 = {
	  canvasBorders : true,
      canvasBordersWidth : 2,
      canvasBordersColor : "black",
      graphTitle : "DISK STATUS",
	  graphTitleFontSize: 18,
      
      crossTextAlign : ["center"],
      crossTextBaseline : ["middle"],

	  animationEasing : "linear",
      crossText : ["%call function..."],
      crossTextOverlay :   [true],
      crossTextFontSize : [50],
      crossTextFontColor : ["black"],
      crossTextRelativePosX : [2],
      crossTextRelativePosY : [2],
      crossTextFunction : dispPct3,


 	  inGraphDataShow : false,  
      legend : true,
      canvasBorders : false,
	  annotateDisplay : false,
	  multiGraph : true,

	  spaceTop : 30,
	  spaceBottom : (defCanvasHeight)/3,
	  spaceLeft : defCanvasWidth/3*2
}

   var ctx;
   document.write("<canvas id=\"canvas_Multigraph\" height=\""+defCanvasHeight+"\" width=\""+defCanvasWidth+"\"></canvas>");
   window.onload = function() {
     var myGraph = new Chart(document.getElementById("canvas_Multigraph").getContext("2d"))
     myGraph.Doughnut(mydata1,opt1,myGraph);
     myGraph.Doughnut(mydata2,opt2,myGraph);
     myGraph.Doughnut(mydata3,opt3,myGraph);
 
 }
</script>
</center>
<script>
var timer =  setInterval('refresh_start()', 3000);
</script>
</body>
</html>